"""Backend API."""

from fastapi import APIRouter, Depends

from backend.api.api_v1 import deps
from backend.api.api_v1.endpoints import cluster

api_router = APIRouter()

api_router.include_router(cluster.cluster_router, prefix="/cluster", tags=["cluster"]) 
