class BackendException(Exception):
    """Base class for Backend Exceptions."""

class BackendNotFoundException(BackendException):
    """Base class for Backend Not Found Exceptions."""

class BackendTooEarlyException(BackendException):
    """Base class for Backend Too Early Exceptions."""

class BackendGoneException(BackendException):
    """Base class for Backend Gone Exceptions."""

class AuthenticationError(BackendException):
    """Base class for Authentication Erros."""