from backend.core.database import async_session
from backend.exceptions import *

async def get_db():
    """Get an open DB session."""
    async with async_session() as session, session.begin():
        yield session