import uuid

from pydantic import BaseModel, Field
from typing import List, Optional

class IdSchema(BaseModel):
  id: str = Field(default_factory=lambda: str(uuid.uuid4()), description="A randomly generated UUID for the resource.")