from pydantic import BaseModel, Field
from typing import List

class FlavorSchema(BaseModel):
    flavor_name: str = Field(..., description="Name of the falvor")
    disk_image: str = Field(..., description="URL of the disk image.")
    cpu_cores: int = Field(2, description="Number of CPU cores (default: 2).")
    ram: str = Field("2048M", description="Amount of RAM (default: '2048M').")