from pydantic import BaseModel, Field
from typing import List

class VolumeSchema(BaseModel):
    name: str = Field(..., description="Name of the volume")
    size: int = Field(..., ge=1, description="Size of the volume in MB")